Bug 129787 - kscd crashes when audio CD has multiple entries in freedb
kscd crashes when audio CD has multiple entries in freedb
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdemultimedia (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-12 13:45 EDT by Andrei Maslennikov
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrei Maslennikov 2004-08-12 13:45:36 EDT
Description of problem:

The bug is very similar to 118906. kscd perfectly works without freedb
searches enabled. But it crashes with certain audio CDs (those that
either have no freedb entry, or have multiple entries to chose from).
 
Version-Release number of selected component (if applicable):
kscd binary in question is a part of kdemultimedia-3.1.3-3.1

Steps to Reproduce:

0. Start KDE
1. Take a couple of audio CDs 
2. Use gnome-cd to locate one of them which has several entries
   in freedb 
3. rm  ~/.kde/share/config/kscdrc
   rm -rf  ~/.kde/share/apps/kscd/cddb
4. start kscd without CD inserted in the drive and enable
   freedb searches
5. Exit kscd and make sure that freedb searches are enabled
   in the newly created ~/.kde/share/config/kscdrc
6. Insert the previuosly located audio CD in the drive
7. Respond with any choice in the pop-up asking you to 
   select the CD title
8. At this point, kscd will crash
Comment 1 RHEL Product and Program Management 2007-10-19 15:20:53 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.